<?xml version='1.0' encoding='utf-8'?>

<creole>

    <files>
        <file name='/etc/bareos/bareosfichiers.d/mysql.conf' source='bareos-mysql.conf' filelist='mysql-bareos'/>
        <file name='/etc/rsyslog.d/eole-traps/debian-start.conf' source='rsyslog_traps_debian-start.conf' mkdir="True"/>
        <file name='/etc/logrotate.d/mysql' source='mysql.logrotate'/>
        <file name='/etc/apparmor.d/local/usr.sbin.mysqld' source="mysqld.apparmor.conf"/>
    </files>

    <containers>
        <container name="mysql" id='14'>
            <package>eole-mysql-pkg</package>
            <service servicelist='mysql'>mysql</service>
            <file filelist='mysql' name='/etc/mysql/mysql.conf.d/mysqld.cnf'/>
        </container>
    </containers>

    <variables>
        <family name='services'>
            <variable name='activer_mysql' type='oui/non' description="Activer le serveur de bases de données MySQL" >
                <value>oui</value>
            </variable>
        </family>
        <family name='mysql' mode='expert' icon='mysql-alt'>
            <variable name='mysql_max_connexions' type='number' description='Nombre maximum de connexions simultanées'>
                <value>200</value>
            </variable>
        </family>
    </variables>

    <constraints>
        <condition name='disabled_if_in' source='activer_mysql'>
            <param>non</param>
            <target type='filelist'>mysql</target>
            <target type='filelist'>mysql-bareos</target>
            <target type='servicelist'>mysql</target>
            <target type='family'>mysql</target>
        </condition>
        <condition name='disabled_if_in' source='activer_bareos_dir' fallback='True'>
            <param>non</param>
            <target type='filelist'>mysql-bareos</target>
        </condition>
    </constraints>

    <help>
        <variable name='activer_mysql'>MySQL est un serveur de bases de données relationnelles SQL</variable>
        <family name='mysql'>Paramétrage avancé du serveur de gestion de bases de données MySQL</family>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
